﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Dynamic;
using System.Collections.ObjectModel;
namespace ExpandoObjectSample
{
    class ViewModel :INotifyPropertyChanged
    {
        public ViewModel()
        {

            GridData = new ObservableCollection<object>();
            dynamic newRow;
            newRow = new ExpandoObject();
            newRow.FruitName = "Apples";
            newRow.Harvested = new DateTime(2014, 1, 1);
            newRow.Weight = 4;
            GridData.Add(newRow);

            newRow = new ExpandoObject();
            newRow.FruitName = "Pears";
            newRow.Harvested = new DateTime(2014, 6, 14);
            newRow.Weight = 2;
            GridData.Add(newRow);

            newRow = new ExpandoObject();
            newRow.FruitName = "Plums";
            newRow.Harvested = new DateTime(2015, 2, 14);
            newRow.Weight = 3;
            GridData.Add(newRow);
        }

    private ObservableCollection<object> gridData;

	public ObservableCollection<object> GridData
	{
		get { return gridData;}
        set 
        { 
            gridData = value; 
            OnPropertyChanged("GridData");
        }
	}
	
    
            


        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if(handler!=null)
            {
                handler(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
